Bug 193717 - konqueror crashes when browsing gmail
Summary: konqueror crashes when browsing gmail
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
: 204132 206218 211819 214018 218220 226130 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-05-23 03:58 UTC by Danilo Luvizotto
Modified: 2010-02-22 22:08 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Luvizotto 2009-05-23 03:58:11 UTC
Application that crashed: konqueror
Version of the application: 4.2.86 (KDE 4.2.86 (KDE 4.3 >= 20090514)) "release 126"
KDE Version: 4.2.86 (KDE 4.2.86 (KDE 4.3 >= 20090514)) "release 126"
Qt Version: 4.5.1
Operating System: Linux 2.6.27.21-0.1-default x86_64
Distribution: "openSUSE 11.1 (x86_64)"

What I was doing when the application crashed:
GMail crashs when browsing http://mail.google.com/mail/?nocheckbrowser#inbox in English (I think only in English it is possible to use the new UI).
To reproduce:
Access http://mail.google.com/mail/?nocheckbrowser#inbox, click in a message in your inbox and then click in 'Inbox', in the left menu.

 -- Backtrace:
Application: Konqueror (konqueror), signal: Segmentation fault
[KCrash Handler]
#5  khtml::BidiContext::deref (this=0xd00000011) at /usr/src/debug/kdelibs-4.2.85/khtml/rendering/bidi.cpp:206
#6  0x00007fd6c7fe4584 in khtml::RootInlineBox::setLineBreakInfo (this=0x47126a0, obj=0x0, breakPos=<value optimized out>, status=@0x7fffe069b600, context=0x0)
    at /usr/src/debug/kdelibs-4.2.85/khtml/rendering/render_line.cpp:1177
#7  0x00007fd6c7fe4611 in khtml::RootInlineBox::childRemoved (this=<value optimized out>, box=0x4712708) at /usr/src/debug/kdelibs-4.2.85/khtml/rendering/render_line.cpp:1164
#8  0x00007fd6c7fe46d4 in khtml::InlineFlowBox::removeFromLine (this=0x4712768, child=0x4712708) at /usr/src/debug/kdelibs-4.2.85/khtml/rendering/render_line.cpp:226
#9  0x00007fd6c7fa6e28 in khtml::RenderText::detach (this=0x127a328) at /usr/src/debug/kdelibs-4.2.85/khtml/rendering/render_text.cpp:722
#10 0x00007fd6c7ed6486 in DOM::NodeImpl::detach (this=0x5f1ead0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:973
#11 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x5451380) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#12 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x2f2f100) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#13 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x2f2c330) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#14 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x5454bd0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#15 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x6561090) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#16 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x6562710) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#17 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x65628f0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#18 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x2778c90) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#19 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x6758f60) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#20 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x57ec920) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#21 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4eb37d0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#22 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4ebd070) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#23 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x41e3cc0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#24 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x5f4c650) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#25 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x6562ad0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#26 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x61825a0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#27 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x33d7780) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#28 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x33d5610) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#29 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x357d760) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#30 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x57ca0b0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#31 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x3e440e0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#32 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4c02e90) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#33 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x5f475b0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#34 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x155f090) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#35 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x464aa80) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#36 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4645640) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#37 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4644fd0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#38 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4644a70) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#39 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4644740) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#40 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4c4db30) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#41 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4c4d250) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#42 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x5277b70) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#43 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x3ec0de0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#44 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x4fdee80) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#45 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x42b4a30) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#46 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x433f1c0) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#47 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x5083e80) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#48 0x00007fd6c7ed6c88 in DOM::NodeBaseImpl::detach (this=0x3762980) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1834
#49 0x00007fd6c7edb47d in DOM::NodeBaseImpl::removeChild (this=0xd29f20, oldChild=0x3762980, exceptioncode=@0x7fffe069bc58) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:1619
#50 0x00007fd6c807ee8c in DOMNodeProtoFunc::callAsFunction (this=<value optimized out>, exec=0x7fffe069c6d0, thisObj=0x7fd6bf758740, args=@0x7fffe069c620)
    at /usr/src/debug/kdelibs-4.2.85/khtml/ecma/kjs_dom.cpp:644
#51 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#52 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe069c6d0, codeBlock=<value optimized out>, parentExec=0x7fffe069d1c0) at codes.def:1192
#53 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c085d580, exec=0x7fffe069d1c0, thisObj=<value optimized out>, args=@0x7fffe069d110)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#54 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#55 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe069d1c0, codeBlock=<value optimized out>, parentExec=0x7fffe069dd80) at codes.def:1192
#56 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c01d9e00, exec=0x7fffe069dd80, thisObj=<value optimized out>, args=@0x7fffe069d3a0)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#57 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#58 0x00007fd6c79f5f14 in KJS::FunctionProtoFunc::callAsFunction (this=<value optimized out>, exec=0x7fffe069dd80, thisObj=0x7fd6c01d9e00, args=@0x7fffe069dcd0)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function_object.cpp:139
#59 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#60 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe069dd80, codeBlock=<value optimized out>, parentExec=0x7fffe069e870) at codes.def:1192
#61 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c01b9e80, exec=0x7fffe069e870, thisObj=<value optimized out>, args=@0x7fffe069e7c0)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#62 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#63 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe069e870, codeBlock=<value optimized out>, parentExec=0x7fffe069f360) at codes.def:1192
#64 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c080da40, exec=0x7fffe069f360, thisObj=<value optimized out>, args=@0x7fffe069f2b0)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#65 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#66 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe069f360, codeBlock=<value optimized out>, parentExec=0x7fffe069ff20) at codes.def:1192
#67 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c01a4500, exec=0x7fffe069ff20, thisObj=<value optimized out>, args=@0x7fffe069f540)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#68 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#69 0x00007fd6c79f5f14 in KJS::FunctionProtoFunc::callAsFunction (this=<value optimized out>, exec=0x7fffe069ff20, thisObj=0x7fd6c01a4500, args=@0x7fffe069fe70)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function_object.cpp:139
#70 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#71 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe069ff20, codeBlock=<value optimized out>, parentExec=0x7fffe06a0a10) at codes.def:1192
#72 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c0806340, exec=0x7fffe06a0a10, thisObj=<value optimized out>, args=@0x7fffe06a0960)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#73 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#74 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe06a0a10, codeBlock=<value optimized out>, parentExec=0x7fffe06a1500) at codes.def:1192
#75 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c085ad00, exec=0x7fffe06a1500, thisObj=<value optimized out>, args=@0x7fffe06a1450)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#76 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#77 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe06a1500, codeBlock=<value optimized out>, parentExec=0x7fffe06a20c0) at codes.def:1192
#78 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c085ab80, exec=0x7fffe06a20c0, thisObj=<value optimized out>, args=@0x7fffe06a16f0)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#79 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#80 0x00007fd6c79f608a in KJS::FunctionProtoFunc::callAsFunction (this=<value optimized out>, exec=0x7fffe06a20c0, thisObj=0x7fd6c085ab80, args=@0x2)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function_object.cpp:123
#81 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#82 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe06a20c0, codeBlock=<value optimized out>, parentExec=0x7fffe06a2c80) at codes.def:1192
#83 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c07f4780, exec=0x7fffe06a2c80, thisObj=<value optimized out>, args=@0x7fffe06a22b0)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#84 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#85 0x00007fd6c79f608a in KJS::FunctionProtoFunc::callAsFunction (this=<value optimized out>, exec=0x7fffe06a2c80, thisObj=0x7fd6c07f4780, args=@0x2)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function_object.cpp:123
#86 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#87 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe06a2c80, codeBlock=<value optimized out>, parentExec=0x7fffe06a3840) at codes.def:1192
#88 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6c07f4840, exec=0x7fffe06a3840, thisObj=<value optimized out>, args=@0x7fffe06a2e60)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#89 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#90 0x00007fd6c79f5f14 in KJS::FunctionProtoFunc::callAsFunction (this=<value optimized out>, exec=0x7fffe06a3840, thisObj=0x7fd6c07f4840, args=@0x7fffe06a3790)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function_object.cpp:139
#91 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#92 0x00007fd6c7a2e3f1 in KJS::Machine::runBlock (exec=0x7fffe06a3840, codeBlock=<value optimized out>, parentExec=0x519fb00) at codes.def:1192
#93 0x00007fd6c7a0f86f in KJS::FunctionImp::callAsFunction (this=0x7fd6bf741a00, exec=0x519fb00, thisObj=<value optimized out>, args=@0x7fffe06a3a60)
    at /usr/src/debug/kdelibs-4.2.85/kjs/function.cpp:144
#94 0x00007fd6c7a13309 in KJS::JSObject::call (this=0xd00000011, exec=0x0, thisObj=0x28, args=@0x7fffe069b600) at /usr/src/debug/kdelibs-4.2.85/kjs/object.cpp:69
#95 0x00007fd6c80db17d in KJS::JSEventListener::handleEvent (this=0x3df6720, evt=@0x7fffe06a3ad0) at /usr/src/debug/kdelibs-4.2.85/khtml/ecma/kjs_events.cpp:106
#96 0x00007fd6c7ec41aa in DOM::DocumentImpl::defaultEventHandler (this=0x17976d0, evt=0x40aef80) at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_docimpl.cpp:2748
#97 0x00007fd6c7edbfbf in DOM::NodeImpl::dispatchWindowEvent (this=0x550e470, _id=17, canBubbleArg=<value optimized out>, cancelableArg=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.85/khtml/xml/dom_nodeimpl.cpp:568
#98 0x00007fd6c7e80178 in KHTMLPart::closeUrl (this=0x1597c10) at /usr/src/debug/kdelibs-4.2.85/khtml/khtml_part.cpp:926
#99 0x00007fd6c7e7ff89 in KHTMLPart::closeUrl (this=0x12d1fa0) at /usr/src/debug/kdelibs-4.2.85/khtml/khtml_part.cpp:968
#100 0x00007fd6d81d8c44 in ?? () from /usr/lib64/libkdeinit4_konqueror.so
#101 0x00007fd6d820c545 in ?? () from /usr/lib64/libkdeinit4_konqueror.so
#102 0x00007fd6d822b6c8 in ?? () from /usr/lib64/libkdeinit4_konqueror.so
#103 0x00007fd6d822ed76 in ?? () from /usr/lib64/libkdeinit4_konqueror.so
#104 0x00007fd6d822ef8f in ?? () from /usr/lib64/libkdeinit4_konqueror.so
#105 0x00007fd6d8231fd9 in ?? () from /usr/lib64/libkdeinit4_konqueror.so
#106 0x00007fd6d5c5ec22 in QMetaObject::activate (sender=0x12f38a0, from_signal_index=<value optimized out>, to_signal_index=9, argv=0x7fffe069b600) at kernel/qobject.cpp:3120
#107 0x00007fd6d78dc73f in KParts::BrowserExtension::openUrlRequestDelayed (this=0xd00000011, _t1=<value optimized out>, _t2=<value optimized out>, _t3=<value optimized out>)
    at /usr/src/debug/kdelibs-4.2.85/build/kparts/browserextension.moc:287
#108 0x00007fd6d78de995 in KParts::BrowserExtension::slotEmitOpenUrlRequestDelayed (this=0x12f38a0) at /usr/src/debug/kdelibs-4.2.85/kparts/browserextension.cpp:668
#109 0x00007fd6d78e03c4 in KParts::BrowserExtension::qt_metacall (this=0x12f38a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe06a4db0)
    at /usr/src/debug/kdelibs-4.2.85/build/kparts/browserextension.moc:225
#110 0x00007fd6c7ea9455 in KHTMLPartBrowserExtension::qt_metacall (this=0xd00000011, _c=QMetaObject::InvokeMetaMethod, _id=40, _a=0x7fffe069b600)
    at /usr/src/debug/kdelibs-4.2.85/build/khtml/khtml_ext.moc:85
#111 0x00007fd6d5c5ec22 in QMetaObject::activate (sender=0x1dc4f70, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x7fffe069b600) at kernel/qobject.cpp:3120
#112 0x00007fd6d5c63f9f in QSingleShotTimer::timerEvent (this=0x1dc4f70) at kernel/qtimer.cpp:298
#113 0x00007fd6d5c58f43 in QObject::event (this=0x1dc4f70, e=0x0) at kernel/qobject.cpp:1082
#114 0x00007fd6d4ea378d in QApplicationPrivate::notify_helper (this=0x626aa0, receiver=0x1dc4f70, e=0x7fffe06a54b0) at kernel/qapplication.cpp:4057
#115 0x00007fd6d4eaba2a in QApplication::notify (this=0x7fffe06a5a80, receiver=0x1dc4f70, e=0x7fffe06a54b0) at kernel/qapplication.cpp:4022
#116 0x00007fd6d6a7d37b in KApplication::notify (this=0x7fffe06a5a80, receiver=0x1dc4f70, event=0x7fffe06a54b0) at /usr/src/debug/kdelibs-4.2.85/kdeui/kernel/kapplication.cpp:307
#117 0x00007fd6d5c4915c in QCoreApplication::notifyInternal (this=0x7fffe06a5a80, receiver=0x1dc4f70, event=0x7fffe06a54b0) at kernel/qcoreapplication.cpp:610
#118 0x00007fd6d5c765c0 in QTimerInfoList::activateTimers (this=0x62a310) at kernel/qcoreapplication.h:213
#119 0x00007fd6d5c7293d in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:164
#120 0x00007fd6d187e0fb in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#121 0x00007fd6d18818cd in ?? () from /usr/lib64/libglib-2.0.so.0
#122 0x00007fd6d1881a8b in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#123 0x00007fd6d5c7289f in QEventDispatcherGlib::processEvents (this=0x608c30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:324
#124 0x00007fd6d4f3ab0f in QGuiEventDispatcherGlib::processEvents (this=0xd00000011, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#125 0x00007fd6d5c479f2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -529901616}) at kernel/qeventloop.cpp:149
#126 0x00007fd6d5c47dbd in QEventLoop::exec (this=0x7fffe06a5810, flags={i = -529901536}) at kernel/qeventloop.cpp:200
#127 0x00007fd6d5c4a0a4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#128 0x00007fd6d825d749 in kdemain () from /usr/lib64/libkdeinit4_konqueror.so
#129 0x00007fd6d30aa586 in __libc_start_main () from /lib64/libc.so.6
#130 0x00000000004007f9 in _start ()
Comment 1 Dario Andres 2009-05-23 04:59:15 UTC
The backtrace looks really similar to the one in bug 193177. Thanks
Comment 2 Danilo Luvizotto 2009-05-23 05:17:11 UTC
Your're welcome, but don't thank me. Thank the wonderful new KDE's crash handler. It's amazing!
And thank you and all the other KDE developers for your work.
Comment 3 Karel Pazdera 2009-06-30 06:58:15 UTC
Hi all,
the same error appears, if a try open page http://pctuning.tyden.cz:80/index.php?option=com_pctlongblock#14333.

Here is backtrace:
Aplikace: Konqueror (konqueror), signál SIGSEGV
0x00007fb80c9d5451 in nanosleep () from /lib/libc.so.6
[Current thread is 0 (LWP 26605)]

Thread 3 (Thread 0x7fb7ff02a910 (LWP 28320)):
#0  0x00007fb80f0704fd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb80f2dd777 in QWaitCondition::wait () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fb80f2d4a29 in QThreadPoolThread::run () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007fb80f2dca14 in QThreadPrivate::start () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007fb80f06c2e7 in start_thread () from /lib/libpthread.so.0
#5  0x00007fb80ca0638d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fb7fe44e910 (LWP 29749)):
#0  0x00007fb80f0704fd in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007fb80f2dd777 in QWaitCondition::wait () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007fb80f2d4a29 in QThreadPoolThread::run () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007fb80f2dca14 in QThreadPrivate::start () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007fb80f06c2e7 in start_thread () from /lib/libpthread.so.0
#5  0x00007fb80ca0638d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()
Current language:  auto; currently asm

Thread 1 (Thread 0x7fb811d57750 (LWP 26605)):
[KCrash Handler]
#5  0x00007fb8035cabf4 in khtml::BidiContext::deref () from /usr/lib64/libkhtml.so.5
#6  0x00007fb80363f284 in khtml::RootInlineBox::setLineBreakInfo () from /usr/lib64/libkhtml.so.5
#7  0x00007fb80363f35a in khtml::RootInlineBox::childRemoved () from /usr/lib64/libkhtml.so.5
#8  0x00007fb80363f3d4 in khtml::InlineFlowBox::removeFromLine () from /usr/lib64/libkhtml.so.5
#9  0x00007fb80364053d in khtml::InlineBox::detach () from /usr/lib64/libkhtml.so.5
#10 0x00007fb80363e348 in khtml::InlineFlowBox::deleteLine () from /usr/lib64/libkhtml.so.5
#11 0x00007fb80363e348 in khtml::InlineFlowBox::deleteLine () from /usr/lib64/libkhtml.so.5
#12 0x00007fb8035f5aea in khtml::RenderContainer::removeChildNode () from /usr/lib64/libkhtml.so.5
#13 0x00007fb8035daebe in khtml::RenderBlock::removeChild () from /usr/lib64/libkhtml.so.5
#14 0x00007fb8035eb84e in khtml::RenderObject::detach () from /usr/lib64/libkhtml.so.5
#15 0x00007fb8035f7f12 in khtml::RenderBox::detach () from /usr/lib64/libkhtml.so.5
#16 0x00007fb803536866 in DOM::NodeImpl::detach () from /usr/lib64/libkhtml.so.5
#17 0x00007fb803537068 in DOM::NodeBaseImpl::detach () from /usr/lib64/libkhtml.so.5
#18 0x00007fb803537068 in DOM::NodeBaseImpl::detach () from /usr/lib64/libkhtml.so.5
#19 0x00007fb803537068 in DOM::NodeBaseImpl::detach () from /usr/lib64/libkhtml.so.5
#20 0x00007fb803537068 in DOM::NodeBaseImpl::detach () from /usr/lib64/libkhtml.so.5
#21 0x00007fb803537068 in DOM::NodeBaseImpl::detach () from /usr/lib64/libkhtml.so.5
#22 0x00007fb803537068 in DOM::NodeBaseImpl::detach () from /usr/lib64/libkhtml.so.5
#23 0x00007fb8035447b6 in DOM::ElementImpl::recalcStyle () from /usr/lib64/libkhtml.so.5
#24 0x00007fb80358d4a9 in DOM::HTMLElementImpl::recalcStyle () from /usr/lib64/libkhtml.so.5
#25 0x00007fb8035337a7 in DOM::DocumentImpl::recalcStyle () from /usr/lib64/libkhtml.so.5
#26 0x00007fb80352a4fd in DOM::DocumentImpl::updateDocumentsRendering () from /usr/lib64/libkhtml.so.5
#27 0x00007fb80353a72d in DOM::NodeImpl::dispatchGenericEvent () from /usr/lib64/libkhtml.so.5
#28 0x00007fb80353c293 in DOM::NodeImpl::dispatchWindowEvent () from /usr/lib64/libkhtml.so.5
#29 0x00007fb8034c0f08 in KHTMLPart::slotFinishedParsing () from /usr/lib64/libkhtml.so.5
#30 0x00007fb8034e9505 in KHTMLPart::qt_metacall () from /usr/lib64/libkhtml.so.5
#31 0x00007fb80f3c2dfd in QMetaObject::activate () from /usr/lib64/qt4/libQtCore.so.4
#32 0x00007fb80351f63d in DOM::DocumentImpl::qt_metacall () from /usr/lib64/libkhtml.so.5
#33 0x00007fb8035912d8 in DOM::HTMLDocumentImpl::qt_metacall () from /usr/lib64/libkhtml.so.5
#34 0x00007fb80f3c2dfd in QMetaObject::activate () from /usr/lib64/qt4/libQtCore.so.4
#35 0x00007fb80357d33a in khtml::HTMLTokenizer::finish () from /usr/lib64/libkhtml.so.5
#36 0x00007fb8034bc0a2 in KHTMLPart::end () from /usr/lib64/libkhtml.so.5
#37 0x00007fb8034c6b85 in KHTMLPart::processObjectRequest () from /usr/lib64/libkhtml.so.5
#38 0x00007fb8034e6ac8 in KHTMLPart::requestObject () from /usr/lib64/libkhtml.so.5
#39 0x00007fb8034e96cd in KHTMLPart::requestFrame () from /usr/lib64/libkhtml.so.5
#40 0x00007fb80359682f in DOM::HTMLIFrameElementImpl::computeContent () from /usr/lib64/libkhtml.so.5
#41 0x00007fb80353b671 in DOM::NodeBaseImpl::appendChild () from /usr/lib64/libkhtml.so.5
#42 0x00007fb8036d6de4 in DOMNodeProtoFunc::callAsFunction () from /usr/lib64/libkhtml.so.5
#43 0x00007fb803073dc9 in KJS::JSObject::call () from /usr/lib64/libkjs.so.4
#44 0x00007fb80308e841 in KJS::Machine::runBlock () from /usr/lib64/libkjs.so.4
#45 0x00007fb80307037c in KJS::FunctionImp::callAsFunction () from /usr/lib64/libkjs.so.4
#46 0x00007fb803073dc9 in KJS::JSObject::call () from /usr/lib64/libkjs.so.4
#47 0x00007fb80308e841 in KJS::Machine::runBlock () from /usr/lib64/libkjs.so.4
#48 0x00007fb803044448 in KJS::FunctionBodyNode::execute () from /usr/lib64/libkjs.so.4
#49 0x00007fb803076bfa in KJS::Interpreter::evaluate () from /usr/lib64/libkjs.so.4
#50 0x00007fb803076cc3 in KJS::Interpreter::evaluate () from /usr/lib64/libkjs.so.4
#51 0x00007fb80371ff51 in KJS::KJSProxyImpl::evaluate () from /usr/lib64/libkhtml.so.5
#52 0x00007fb8035892c7 in DOM::HTMLScriptElementImpl::evaluateScript () from /usr/lib64/libkhtml.so.5
#53 0x00007fb803589566 in DOM::HTMLScriptElementImpl::notifyFinished () from /usr/lib64/libkhtml.so.5
#54 0x00007fb80369d077 in khtml::CachedScript::checkNotify () from /usr/lib64/libkhtml.so.5
#55 0x00007fb80369d254 in khtml::CachedScript::data () from /usr/lib64/libkhtml.so.5
#56 0x00007fb80369af9d in khtml::Loader::slotFinished () from /usr/lib64/libkhtml.so.5
#57 0x00007fb8036a0e57 in khtml::Loader::qt_metacall () from /usr/lib64/libkhtml.so.5
#58 0x00007fb80f3c2dfd in QMetaObject::activate () from /usr/lib64/qt4/libQtCore.so.4
#59 0x00007fb80f9d2d72 in KJob::result () from /usr/lib64/libkdecore.so.5
#60 0x00007fb80f9d30ef in KJob::emitResult () from /usr/lib64/libkdecore.so.5
#61 0x00007fb810bce9d0 in KIO::SimpleJob::slotFinished () from /usr/lib64/libkio.so.5
#62 0x00007fb810bcfbf3 in KIO::TransferJob::slotFinished () from /usr/lib64/libkio.so.5
#63 0x00007fb810bd0c75 in KIO::TransferJob::qt_metacall () from /usr/lib64/libkio.so.5
#64 0x00007fb80f3c2dfd in QMetaObject::activate () from /usr/lib64/qt4/libQtCore.so.4
#65 0x00007fb810c84a31 in KIO::SlaveInterface::dispatch () from /usr/lib64/libkio.so.5
#66 0x00007fb810c815c1 in KIO::SlaveInterface::dispatch () from /usr/lib64/libkio.so.5
#67 0x00007fb810c72823 in KIO::Slave::gotInput () from /usr/lib64/libkio.so.5
#68 0x00007fb810c74b28 in KIO::Slave::qt_metacall () from /usr/lib64/libkio.so.5
#69 0x00007fb80f3c2dfd in QMetaObject::activate () from /usr/lib64/qt4/libQtCore.so.4
#70 0x00007fb810b9a86f in KIO::ConnectionPrivate::dequeue () from /usr/lib64/libkio.so.5
#71 0x00007fb810b9acca in KIO::Connection::qt_metacall () from /usr/lib64/libkio.so.5
#72 0x00007fb80f3bf991 in QObject::event () from /usr/lib64/qt4/libQtCore.so.4
#73 0x00007fb80e748bcd in QApplicationPrivate::notify_helper () from /usr/lib64/qt4/libQtGui.so.4
#74 0x00007fb80e7505fa in QApplication::notify () from /usr/lib64/qt4/libQtGui.so.4
#75 0x00007fb8101b2f1b in KApplication::notify () from /usr/lib64/libkdeui.so.5
#76 0x00007fb80f3b0cfb in QCoreApplication::notifyInternal () from /usr/lib64/qt4/libQtCore.so.4
#77 0x00007fb80f3b163e in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib64/qt4/libQtCore.so.4
#78 0x00007fb80f3d6203 in postEventSourceDispatch () from /usr/lib64/qt4/libQtCore.so.4
#79 0x00007fb80b313e29 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#80 0x00007fb80b317498 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#81 0x00007fb80b31765c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#82 0x00007fb80f3d5e9f in QEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#83 0x00007fb80e7cedaf in QGuiEventDispatcherGlib::processEvents () from /usr/lib64/qt4/libQtGui.so.4
#84 0x00007fb80f3af6a2 in QEventLoop::processEvents () from /usr/lib64/qt4/libQtCore.so.4
#85 0x00007fb80f3af83c in QEventLoop::exec () from /usr/lib64/qt4/libQtCore.so.4
#86 0x00007fb80f3b18dc in QCoreApplication::exec () from /usr/lib64/qt4/libQtCore.so.4
#87 0x00007fb811950c37 in kdemain () from /usr/lib64/libkdeinit4_konqueror.so
#88 0x00007fb80c952a26 in __libc_start_main () from /lib/libc.so.6
#89 0x00000000004008f9 in _start ()

I am using Konqueror 4.2.4 (KDE 4.2.4) on Gentoo Linux (kernel 2.6.29-gentoo-r5 x86+64, gcc x86_64-pc-linux-gnu-4.3.3)
Comment 4 Tommi Tervo 2010-02-14 18:31:01 UTC
*** Bug 226130 has been marked as a duplicate of this bug. ***
Comment 5 Tommi Tervo 2010-02-14 18:31:27 UTC
*** Bug 204132 has been marked as a duplicate of this bug. ***
Comment 6 Tommi Tervo 2010-02-14 18:31:51 UTC
*** Bug 206218 has been marked as a duplicate of this bug. ***
Comment 7 Tommi Tervo 2010-02-14 18:33:02 UTC
*** Bug 211819 has been marked as a duplicate of this bug. ***
Comment 8 Tommi Tervo 2010-02-14 18:33:30 UTC
*** Bug 214018 has been marked as a duplicate of this bug. ***
Comment 9 Tommi Tervo 2010-02-14 18:34:28 UTC
*** Bug 218220 has been marked as a duplicate of this bug. ***
Comment 10 Tommi Tervo 2010-02-14 18:39:50 UTC
This seems to be x86_64 spesific bug. Could someone post valgrind report?

http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports#Retrieving_a_backtrace_with_Valgrind
Comment 11 Germain Garand 2010-02-22 20:12:49 UTC
SVN commit 1094434 by ggarand:

InlineBox::deleteLine shouldn't try to remove() the line box before
disposing of it.

This causes crashes in release mode because remove() will call to a
possibly invalid parent (this parent-is-invalid circumstance isn't fully
clear to me, though), the link to which is only nulled out in
Debug mode.

Let's play this low risk : align Release on Debug for branch backport...

BUG: 193717
BUG: 206832

 M  +0 -2      render_line.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1094434
Comment 12 Germain Garand 2010-02-22 20:12:54 UTC
SVN commit 1094435 by ggarand:

InlineBox::deleteLine shouldn't try to remove() the line box before
disposing of it.

This causes crashes in release mode because remove() will call to a
possibly invalid parent (this parent-is-invalid circumstance isn't fully
clear to me, though), the link to which is only nulled out in
Debug mode.

Let's play this low risk : align Release on Debug for branch backport...

... then stop removing the line box instead.

BUG: 193717
BUG: 206832

 M  +3 -1      render_line.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1094435
Comment 13 Germain Garand 2010-02-22 22:08:55 UTC
SVN commit 1094495 by ggarand:

automatically merged revision 1094434:
InlineBox::deleteLine shouldn't try to remove() the line box before
disposing of it.

This causes crashes in release mode because remove() will call to a
possibly invalid parent (this parent-is-invalid circumstance isn't fully
clear to me, though), the link to which is only nulled out in
Debug mode.

Let's play this low risk : align Release on Debug for branch backport...

BUG: 193717

 M  +0 -2      render_line.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1094495